# frozen_string_literal: true

lib = File.expand_path('lib', __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)

Gem::Specification.new do |s|
  s.name        = 'gpx_manipulator'
  s.version     = '0.2.1'
  s.date        = '2020-04-15'
  s.summary     = 'Manipulating GPX file'
  s.description = 'Optimazing and manipulating GPX file data. For my private purposes'
  s.authors     = ['Staszek Zawadzki']
  s.email       = 'st.zawadzki@gmail.com'

  s.files = `git ls-files`.split($INPUT_RECORD_SEPARATOR)
  s.test_files    = s.files.grep(%r{^(test|spec|features)/})
  s.require_paths = ['lib']
  s.license       = 'MIT'
  s.add_dependency 'geokit', '1.13'
  s.add_dependency 'gpx', '1.0'
  s.add_development_dependency 'pry', '~> 0.13'
  s.add_development_dependency 'rspec', '~> 3.9'
end
