# frozen_string_literal: true

require 'spec_helper'

RSpec.describe ReadGpx do
  it 'reads the file' do
    read_file = described_class.new(file: './spec/example_files/small.gpx')
    read_file.read

    expect(read_file.tracks).not_to be_empty
    expect(read_file.tracks.first).to be_a(GPX::Track)
    expect(read_file.tracks.first.points.first).to be_a(GPX::TrackPoint)
  end
end
